/**
 * <copyright>
 * </copyright>
 *
 * $Id: MultiplicityRangeValidator.java,v 1.1 2008-04-01 09:35:23 vmahe Exp $
 */
package orgomg.cwm.objectmodel.core.validation;

import orgomg.cwm.objectmodel.core.Multiplicity;

/**
 * A sample validator interface for {@link orgomg.cwm.objectmodel.core.MultiplicityRange}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface MultiplicityRangeValidator {
	boolean validate();

	boolean validateLower(long value);
	boolean validateUpper(long value);
	boolean validateMultiplicity(Multiplicity value);
}
